Subject: Re: [rtcweb] Review of draft-ietf-rtcweb-overview-10

From: Harald Alvestrand <[email-masked]>
Date: Wed, 13 Aug 2014 14:50:34 +0200

Finally got to this. Sorry it's taken so long.

On 07/18/2014 03:09 AM, Paul Kyzivat wrote:
> I haven't read the overview carefully in a long time. This time I did.
> I came away with the following thoughts:
>
> Terminology:
>
>    Media path:  The path that media data follows from one browser to
>       another.
>
> I don't think this is quite right by restricting to browsers. I think 
> you mean:
>
>    Media path:  The path that media data follows from one WebRTC device
>       to another.
Yep. Thanks!
>
> The intent is clear (e.g. from figure 2) but the definition doesn't 
> say it.
>
> Also, why aren't "WebRTC browser" and "WebRTC device" included in the 
> Terminology section? Seems like they should be.
Fixed now.
>
> Section 5:
>
>    Considerations for the transfer of data that is not in RTP format is
>    described in [I-D.ietf-rtcweb-data-channel], and a supporting
>    protocol is described in [I-D.ietf-rtcweb-data-protocol]. Webrtc
>    devices MUST implement these two specifications.
>
> Actually ietf-rtcweb-data-protocol only describes a protocol used for 
> data channel *establishment*. As such, I think it is technically a 
> Connection management protocol. This becomes more evident when you 
> consider all the discussion on how to establish channels via SDP.
>
> In principle I think ietf-rtcweb-data-protocol should be referenced 
> from section 7. If that seems heretical, then how about at least saying:
>
>    Considerations for the transfer of data that is not in RTP format is
>    described in [I-D.ietf-rtcweb-data-channel], and a supporting
>    protocol for establishing individual data channels is described in
>    [I-D.ietf-rtcweb-data-protocol].  Webrtc devices MUST implement
>    these two specifications.

Fix applied. I think it fits better here than in section 7, since 
section 7 deals with management of the overall connection.
>
> Otherwise this document is remarkably clear.

Thank you!

>
>     Thanks,
>     Paul
>
> _______________________________________________
> rtcweb mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtcweb